import os
from setuptools import setup, find_packages
from codecs import open  # To use a consistent encoding

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()


os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='DjangoPlaceHoldit',
    version='1.0',
    packages=find_packages(exclude=['contrib', 'docs', 'tests*']),
    include_package_data=True,
    install_requires=['pillow'],
    license='MIT',
    description='A simple django app to serve images for placeholder during development',
    long_description=README,
    keywords='django images placeholder server',
    url='https://github.com/seanmavley/DjangoPlaceHoldit.git',
    author='Rexford Nyarko - google.com/+Nkansahrexford',
    author_email='seanmavley@gmail.com',
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 4 - Beta',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
    ],
)
